Pular para o conteúdo

/api/v1/datagrid-values/{id}

PATCH
/api/v1/datagrid-values/{id}
curl --request PATCH \
--url https://api.endless.zaia.app/api/v1/datagrid-values/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "detail": { "type": "string", "value": "example" } }'

Updates a datagrid value.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Media typeapplication/json
object
detail
Any of:
object
type
required
string
Allowed values: string
value
required
string
nullable <= 1000 characters

The datagrid value was updated.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
datagridColumnId
required

A UUID v4 string that identifies an entity.

string format: uuid
datagridId
required

A UUID v4 string that identifies an entity.

string format: uuid
datagridRowId
required

A UUID v4 string that identifies an entity.

string format: uuid
detail
required
Any of:
object
type
required
string
Allowed values: string
value
required
string
nullable <= 1000 characters
Example
{
"detail": {
"type": "string"
}
}

Invalid datagrid value configuration.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The datagrid value was not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}